#coding=utf8
from django.db import models


class Group(models.Model):
    pass

class User(models.Model):
    uid = CharField(primary_key=True, max_length=200, blank=False, unique=True, verbose_name=u'Nom abrégé')
    c = CharField(max_length=200, blank=True, unique=False, verbose_name=u'Pays')
    
    #base_dn = 'cn=users,' + OPENDIRADMIN_BASE
    #object_classes = ['top', 'person', 'inetOrgPerson', 'organizationalPerson', 'posixAccount', 'shadowAccount', 'apple-user', 'extensibleObject']
    #gidnumber = IntegerField(db_column='gidNumber', blank=False, help_text='RFC2307: An integer uniquely identifying a group in an administrative domain', unique=False, verbose_name=u'Numéro de groupe principal')
    #applegenerateduid = CharField(db_column='apple-generateduid', max_length=200, blank=True, help_text='generated unique ID', unique=False, verbose_name=u'apple-generateduid')
    #appleimhandle = MultilineField(db_column='apple-imhandle', max_length=200, blank=True, help_text='IM handle (service:account name)', unique=False, verbose_name=u'Messagerie instantanée')
    #applewebloguri = CharField(db_column='apple-webloguri', max_length=200, blank=True, help_text='Weblog URI', unique=False, verbose_name=u'Journal web')
    #profilepath = CharField(db_column='profilePath', max_length=200, blank=True, help_text='NT profilePath', unique=False, verbose_name=u'profilePath')
    #st = CharField(db_column='st', max_length=200, blank=True, help_text='RFC2256: state or province which this object resides in', unique=False, verbose_name=u'Région / province')
    #cn = CharField(db_column='cn', max_length=200, blank=False, help_text='RFC4519: common name(s) for which the entity is known by', unique=False, verbose_name=u'Nom commun')
    #appleusermailattribute = CharField(db_column='apple-user-mailattribute', max_length=200, blank=True, help_text='mail attribute', unique=False, verbose_name=u'apple-user-mailattribute')
    #homedrive = CharField(db_column='homeDrive', max_length=200, blank=True, help_text='NT homeDrive', unique=False, verbose_name=u'homeDrive')
    #authauthority = MultilineField(db_column='authAuthority', max_length=200, blank=True, help_text='password server authentication authority', unique=False, verbose_name=u'authAuthority')
    #applecompany = CharField(db_column='apple-company', max_length=200, blank=True, help_text='company', unique=False, verbose_name=u'Entreprise')
    #userpassword = CharField(db_column='userPassword', max_length=200, blank=True, help_text='RFC4519/2307: password of user', unique=False, verbose_name=u'Mot de passe')
    #l = CharField(db_column='l', max_length=200, blank=True, help_text='RFC2256: locality which this object resides in', unique=False, verbose_name=u'Ville')
    #uidnumber = IntegerField(db_column='uidNumber', blank=True, help_text='RFC2307: An integer uniquely identifying a user in an administrative domain', unique=True, verbose_name=u'Identifiant unique')
    #description = CharField(db_column='description', max_length=200, blank=True, help_text='RFC4519: descriptive information', unique=False, verbose_name=u'Commentaire')
    #applemcxflags = CharField(db_column='apple-mcxflags', max_length=200, blank=True, help_text='mcx flags', unique=False, verbose_name=u'apple-mcxflags')
    #givenname = CharField(db_column='givenName', max_length=200, blank=True, help_text='RFC2256: first name(s) for which the entity is known by', unique=False, verbose_name=u'Prénom')
    #applenamesuffix = CharField(db_column='apple-namesuffix', max_length=200, blank=True, help_text='namesuffix', unique=False, verbose_name=u'Suffixe')
    #homedirectory = CharField(db_column='homeDirectory', max_length=200, blank=True, help_text='The absolute path to the home directory', unique=False, verbose_name=u'Dossier de départ')
    #labeleduri = CharField(db_column='labeledURI', max_length=200, blank=True, help_text='RFC2079: Uniform Resource Identifier with optional label', unique=False, verbose_name=u'Page web')
    #street = CharField(db_column='street', max_length=200, blank=True, help_text='RFC2256: street address of this object', unique=False, verbose_name=u'Rue')
    #scriptpath = CharField(db_column='scriptPath', max_length=200, blank=True, help_text='NT scriptPath', unique=False, verbose_name=u'scriptPath')
    #sn = CharField(db_column='sn', max_length=200, blank=False, help_text='RFC2256: last (family) name(s) for which the entity is known by', unique=False, verbose_name=u'Nom de famille')
    #homephone = CharField(db_column='homePhone', max_length=200, blank=True, help_text='RFC1274: home telephone number', unique=False, verbose_name=u'homePhone')
    #loginshell = CharField(db_column='loginShell', max_length=200, blank=True, help_text='The path to the login shell', unique=False, verbose_name=u'loginShell', default='/bin/bash')
    #applekeyword = MultilineField(db_column='apple-keyword', max_length=200, blank=True, help_text='keywords', unique=False, verbose_name=u'Mots-clef')
    #appleuserprintattribute = CharField(db_column='apple-user-printattribute', max_length=200, blank=True, help_text='print attribute', unique=False, verbose_name=u'apple-user-printattribute')
    #postalcode = CharField(db_column='postalCode', max_length=200, blank=True, help_text='RFC2256: postal code', unique=False, verbose_name=u'Code postal')
    #mail = MultilineField(db_column='mail', max_length=200, blank=True, help_text='RFC1274: RFC822 Mailbox', unique=False, verbose_name=u'mail')
    #departmentnumber = CharField(db_column='departmentNumber', max_length=200, blank=True, help_text='RFC2798: identifies a department within an organization', unique=False, verbose_name=u'Service')
    #title = CharField(db_column='title', max_length=200, blank=True, help_text='RFC2256: title associated with the entity', unique=False, verbose_name=u'Profession')
    #telephonenumber = CharField(db_column='telephoneNumber', max_length=200, blank=True, help_text='RFC2256: Telephone Number', unique=False, verbose_name=u'Téléphone')
    #altsecurityidentities = MultilineField(db_column='altSecurityIdentities', max_length=200, blank=True, help_text='None', unique=False, verbose_name=u'altSecurityIdentities')
    #smbhome = CharField(db_column='smbHome', max_length=200, blank=True, help_text='smbHome', unique=False, verbose_name=u'smbHome')
    #applecertificatesigningrequest = OctetStringField(db_column='apple-certificateSigningRequest', max_length=200, blank=True, help_text='None', unique=False, verbose_name=u'apple-certificateSigningRequest')
    #appleuserpicture = CharField(db_column='apple-user-picture', max_length=200, blank=True, help_text='picture', unique=False, verbose_name=u'Image')
    #applebirthday = DateTimeField(db_column='apple-birthday', blank=True, help_text='Birthday', unique=False, verbose_name=u'Anniversaire')
    #userpkcs12 = CharField(db_column='userPKCS12', max_length=200, blank=True, help_text='RFC2798: personal identity information, a PKCS #12 PFX', unique=False, verbose_name=u'userPKCS12')
    #usercertificate = OctetStringField(db_column='userCertificate', max_length=200, blank=True, help_text='RFC2256: X.509 user certificate, use ;binary', unique=False, verbose_name=u'userCertificate')
    #cacertificate = OctetStringField(db_column='cACertificate', max_length=200, blank=True, help_text='RFC2256: X.509 CA certificate, use ;binary', unique=False, verbose_name=u'cACertificate')
##krbPrincipalName, krbPrincipalKey, krbLastPwdChange, and krbExtraData

class CertificateAuthority(models.Model):
    pass

class DnsZone(models.Model):
    pass

class Computer(models.Model):
    pass

class ComputerGroup(models.Model):
    pass

class Mount(models.Model):
    pass

class ComputerList(models.Model):
    pass

class Service(models.Model):
    pass
