#coding=utf8
from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
#from ajax_select import urls as ajax_select_urls
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'OpenDirAdmin.views.home', name='home'),
    # url(r'^OpenDirAdmin/', include('OpenDirAdmin.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    #(r'^admin/lookups/', include(ajax_select_urls)),
    (r'^Kerberos/keytab/(?P<cn>.+)$', 'Kerberos.views.get_keytab'),
    (r'^Certificates/ca/?$', 'Certificates.views.get_cacert'),
    (r'^Certificates/pkcs12/(?P<name>.+)$', 'Certificates.views.get_pkcs12'),
    (r'^Certificates/info/(?P<cat>.+)/(?P<info>.+)/(?P<name>.+)$', 'Certificates.views.get_info'),
    url(r'^', include(admin.site.urls)),
)
