#coding=utf8

from django.contrib import admin
from django import forms
from PowerDNS.models import Supermasters, Records, Domains


class RecordsInline(admin.TabularInline):
    model = Records
    fields = ['domain', 'name', 'type', 'content', 'ttl', 'prio', ]
class DomainsAdmin(admin.ModelAdmin):
    fields = [ 'name', 'account', 'type', 'master', ]
    inlines = [RecordsInline, ]



admin.site.register(Supermasters)
admin.site.register(Records)
admin.site.register(Domains, DomainsAdmin)
