#coding=utf8
from django.db import models
from django.db.models import fields, SubfieldBase

from ldapdb import escape_ldap_filter


from ldapdb.models.fields import CharField, IntegerField, ListField
import ldapdb.models


from coreadmin.fields import MultilineField
from OpenDirAdmin.settings import OPENDIRADMIN_BASE


class Container(ldapdb.models.Model):
    """
    Class for representing an LDAP container entry.
    """
    # LDAP meta-data
    base_dn = OPENDIRADMIN_BASE
    object_classes = ['container', ]
    name = CharField(db_column='cn', max_length=200, primary_key=True)
    def __str__(self):
        return self.name
    def __unicode__(self):
        return self.name
